# Details Field

## Table of contents

- Introduction
- Requirements
- Installation
- Usage
- Configuration
- Maintainers
- References

## Introduction

**Details Field** provides a tailored field type, widget and formatter that
allows easily creating and displaying details elements.

## Requirements

This module requires Drupal core >= 10.0.

## Installation

Install as you would normally install a contributed Drupal module.
Visit https://www.drupal.org/node/1897420 for further information.

## Usage

After installing and enabling the module, a new field type called **Details
element** will be available under the *Formatted text* category. This field
type can be used for any entity type, such as nodes, blocks, paragraphs.

The module also provide a specific field widget that allows editor to easily
create and manage details elements, settings the summary, content, and
attributes to determine the details behaviour and functionality as per the
element definition [1][2].

## Configuration

To do.

## Maintainers

Current maintainers:
- Mauricio Silveira ([maursilveira](https://www.drupal.org/u/maursilveira))

## References

[1] HTML Living Standard. *4.11.1 The details element*. https://html.spec.whatwg.org/multipage/interactive-elements.html#the-details-element

[2] MDN Web Docs. *&lt;details&gt;: The Details disclosure element*. https://developer.mozilla.org/en-US/docs/Web/HTML/Reference/Elements/details
